Index: /extensions/paMOOramics/language/uk_UA/description.txt
===================================================================
--- /extensions/paMOOramics/language/uk_UA/description.txt	(revision 13796)
+++ /extensions/paMOOramics/language/uk_UA/description.txt	(revision 13796)
@@ -0,0 +1,1 @@
+Відображення зображення за допомогою панорамних сценаріїв створених silvertab (на базі mootools).
Index: /extensions/paMOOramics/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/paMOOramics/language/uk_UA/plugin.lang.php	(revision 13796)
+++ /extensions/paMOOramics/language/uk_UA/plugin.lang.php	(revision 13796)
@@ -0,0 +1,49 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['pamooramics_activateslider'] = 'Активувати прокрутку при наведенні миші';
+$lang['pamooramics_admin_form_legend'] = 'Конфігурація paMOOramics';
+$lang['pamooramics_and'] = 'і';
+$lang['pamooramics_autoscroll_onload'] = 'Почати автопрокрутку при завантаженні';
+$lang['pamooramics_autoscroll_speed'] = 'Швидкість автопрокрутки';
+$lang['pamooramics_border_color'] = 'Колір межі панорами';
+$lang['pamooramics_border_size'] = 'Розмір межі панорами';
+$lang['pamooramics_by'] = 'на';
+$lang['pamooramics_caption_color'] = 'Колір тексту опису';
+$lang['pamooramics_clickMessage'] = 'Клацніть, щоб перемістити рамку !';
+$lang['pamooramics_description'] = 'paMOOramics дозволяє переглядати і прокручувати ваші панорами в подяку Piwigo на:';
+$lang['pamooramics_displayfooter'] = 'Не показувати заголовок';
+$lang['pamooramics_dragMessage'] = 'Протягніть мене, щоб перемістити панораму !';
+$lang['pamooramics_enable_autoscroll'] = 'Дозволити автопрокрутку';
+$lang['pamooramics_footer_color'] = 'Колір фону заголовка';
+$lang['pamooramics_loading'] = 'Завантаження...';
+$lang['pamooramics_name'] = 'Текст пошуку для відображення зображень в панорамному режимі';
+$lang['pamooramics_picture_high'] = 'Натисніть тут для перегляду панорами високої чіткості';
+$lang['pamooramics_ratio'] = 'Мінімальне співвідношення(ширина/висота) для відображення зображень в панорамному режимі';
+$lang['pamooramics_save_config'] = 'Зберегти';
+$lang['pamooramics_Slideshow_displayfooter'] = 'Не відображати назви для слайд-шоу';
+$lang['pamooramics_startAutoscroll'] = 'Почати автопрокрутку';
+$lang['pamooramics_stopAutoscroll'] = 'Зупинити автопрокрутку';
+$lang['pamooramics_use_name'] = 'Активувати paMOOramics на ім\'я файлу';
+$lang['pamooramics_use_ratio'] = 'Активувати paMOOramics в співвідношенні ш/в';
+$lang['pamooramics_width'] = 'Ширина показу панорами';
+?>