Index: /trunk/themes/Sylvia/theme.css
===================================================================
--- /trunk/themes/Sylvia/theme.css	(revision 13800)
+++ /trunk/themes/Sylvia/theme.css	(revision 13801)
@@ -286,9 +286,9 @@
 	background-color: #111; 
 }
-.content .commentElement div.illustration { 
+.content .commentElement .illustration { 
 	padding: 0 0 0 10px; 
 	margin: 0 !important; 
 }
-.content .commentElement div.illustration a { 
+.content .commentElement .illustration a { 
 	display: block; 
 	margin: 0; 
@@ -355,7 +355,4 @@
 	padding: 15px 2px 6px 12px; 
 	border: 1px solid #666; 
-}
-#thePicturePage .commentElement  .date, #thePicturePage .commentElementy  .author {
-	font-weight:bold;
 }
 #thePicturePage .commentsList { 
Index: /trunk/themes/default/local_head.tpl
===================================================================
--- /trunk/themes/default/local_head.tpl	(revision 13800)
+++ /trunk/themes/default/local_head.tpl	(revision 13801)
@@ -8,4 +8,2 @@
 	{combine_css path="themes/default/print.css" order=-10}
 {/if}
-
-{if !isset($MENUBAR)}<style type="text/css">.content {ldelim} margin-left:auto !important; }</style>{/if}
Index: /trunk/themes/default/template/comment_list.tpl
===================================================================
--- /trunk/themes/default/template/comment_list.tpl	(revision 13800)
+++ /trunk/themes/default/template/comment_list.tpl	(revision 13801)
@@ -1,10 +1,10 @@
 {if isset($comment_derivative_params)}
 {strip}{html_style}
-.commentElement DIV.illustration{ldelim}
-	width: {$comment_derivative_params->max_width()+5}px;
+.commentElement .illustration{ldelim}
+	width: {$comment_derivative_params->max_width()+5}px
 }
 
 .content .commentElement .description{ldelim}
-	height: {$comment_derivative_params->max_height()+5}px;
+	height: {$comment_derivative_params->max_height()+5}px
 }
 {/html_style}{/strip}
@@ -12,6 +12,5 @@
 <ul class="commentsList">
 {foreach from=$comments item=comment name=comment_loop}
-<li>
-	<div class="commentElement {if $smarty.foreach.comment_loop.index is odd}odd{else}even{/if}">
+<li class="commentElement {if $smarty.foreach.comment_loop.index is odd}odd{else}even{/if}">
 	{if isset($comment.src_image)}
 	<div class="illustration">
@@ -42,5 +41,5 @@
 		{/if}
 
-		<span class="author">{$comment.AUTHOR}</span> - <span class="date">{$comment.DATE}</span>
+		<span class="commentAuthor">{$comment.AUTHOR}</span> - <span class="commentDate">{$comment.DATE}</span>
 		{if isset($comment.IN_EDIT)}
 		<a name="edit_comment"></a>
@@ -58,5 +57,4 @@
 		{/if}
 	</div>
-	</div>
 </li>
 {/foreach}
Index: /trunk/themes/default/template/picture.tpl
===================================================================
--- /trunk/themes/default/template/picture.tpl	(revision 13800)
+++ /trunk/themes/default/template/picture.tpl	(revision 13801)
@@ -59,5 +59,5 @@
 <div class="switchBoxTitle">{'Photo sizes'|@translate}</div>
 {foreach from=$current.unique_derivatives item=derivative key=derivative_type}
-<span class="switchCheck" id="derivativeChecked{$derivative_type}"{if $derivative->get_type() ne $current.selected_derivative->get_type()} style="visibility:hidden"{/if}>&#x2714; </span> 
+<span class="switchCheck" id="derivativeChecked{$derivative_type}"{if $derivative->get_type() ne $current.selected_derivative->get_type()} style="visibility:hidden"{/if}>&#x2714; </span>
 <a href="javascript:changeImgSrc('{$derivative->get_url()|@escape:javascript}','{$derivative_type}','{$derivative->get_type()}')">
 	{$derivative->get_type()|@translate}<span class="derivativeSizeDetails"> ({$derivative->get_size_hr()})</span>
@@ -139,8 +139,8 @@
 {/if}
 
-</div><!--
-
---><div id="infoSwitcher"></div><!--
---><div id="imageInfos">
+</div>
+
+<div id="infoSwitcher"></div>
+<div id="imageInfos">
 {if $DISPLAY_NAV_THUMB}
 	<div class="navThumbs">
@@ -160,5 +160,5 @@
 {/if}
 
-<dl id="standard" class="imageInfoTable infoTable">
+<dl id="standard" class="imageInfoTable">
 {strip}
 	{if $display_info.author and isset($INFO_AUTHOR)}
@@ -278,6 +278,6 @@
 		<dt><a id="privacyLevelLink" href="javascript:togglePrivacyLevelBox()">{'Who can see this photo?'|@translate}</a></dt>
 		<dd>
-{combine_script id='core.scripts' require='jquery' load='async' path='themes/default/js/scripts.js'}
-{footer_script}
+{combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
+{footer_script require='jquery'}
 {literal}function setPrivacyLevel(rootUrl, id, level)
 {
@@ -310,5 +310,5 @@
 {/literal}
 {/footer_script}
-	
+
 			<div id="privacyLevelBox" class="switchBox" onclick="togglePrivacyLevelBox()" style="display:none" onmouseout="e=event.toElement||event.relatedTarget;e.parentNode==this||e==this||togglePrivacyLevelBox()">
 				{foreach from=$available_permission_levels item=label key=level}
@@ -325,5 +325,5 @@
 
 {if isset($metadata)}
-<dl id="Metadata" class="imageInfoTable infoTable2">
+<dl id="Metadata" class="imageInfoTable">
 {foreach from=$metadata item=meta}
 	<h3>{$meta.TITLE}</h3>
@@ -342,23 +342,19 @@
 {if isset($COMMENT_COUNT)}
 <div id="comments" {if (!isset($comment_add) && ($COMMENT_COUNT == 0))}class="noCommentContent"{else}class="commentContent"{/if}><div id="commentsSwitcher"></div>
-	{if $COMMENT_COUNT > 0}
-		<h3>{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</h3>
-	{else}
-		<h3><span class="noCommentText">{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</span></h3>
-	{/if}
-	
+	<h3>{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</h3>
+
 	<div id="pictureComments">
 		{if isset($comment_add)}
 			<div id="commentAdd">
 				<h4>{'Add a comment'|@translate}</h4>
-				<form  method="post" action="{$comment_add.F_ACTION}" class="filter" id="addComment" >
+				<form  method="post" action="{$comment_add.F_ACTION}" id="addComment" >
 					{if $comment_add.SHOW_AUTHOR}
 						<p><label>{'Author'|@translate}&nbsp;:</label></p>
 						<p><input type="text" name="author" /></p>
+						<p><label>{'Comment'|@translate}&nbsp;:</label></p>
 					{/if}
-					<p><label>{'Comment'|@translate}&nbsp;:</label></p>
-					<p><textarea name="content" id="contentid" rows="10" cols="50">{$comment_add.CONTENT}</textarea></p>
+					<p><textarea name="content" id="contentid" rows="5" cols="50">{$comment_add.CONTENT}</textarea></p>
 					<p><input type="hidden" name="key" value="{$comment_add.KEY}" />
-					   <input class="submit" type="submit" value="{'Submit'|@translate}"></p>
+						<input class="submit" type="submit" value="{'Submit'|@translate}"></p>
 				</form>
 			</div>
Index: /trunk/themes/default/template/picture_nav_buttons.tpl
===================================================================
--- /trunk/themes/default/template/picture_nav_buttons.tpl	(revision 13800)
+++ /trunk/themes/default/template/picture_nav_buttons.tpl	(revision 13801)
@@ -31,5 +31,5 @@
 	</a>
 {/if}
-<!--{strip}{if isset($first)}
+{*<!--{strip}{if isset($first)}
 	<a href="{$first.U_IMG}" title="{'First'|@translate} : {$first.TITLE}" class="pwg-state-default pwg-button">
 		<span class="pwg-icon pwg-icon-arrowstop-w">&nbsp;</span><span class="pwg-button-text">{'First'|@translate}</span>
@@ -39,5 +39,5 @@
 		<span class="pwg-icon pwg-icon-arrowstop-w">&nbsp;</span><span class="pwg-button-text">{'First'|@translate}</span>
 	</span>
-{/if}{/strip}-->
+{/if}{/strip}-->*}
 {strip}{if isset($previous)}
 	<a href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE}" class="pwg-state-default pwg-button">
@@ -73,5 +73,5 @@
 	</span>
 {/if}{/strip}
-<!--{strip}{if isset($last)}
+{*<!--{strip}{if isset($last)}
 	<a href="{$last.U_IMG}" title="{'Last'|@translate} : {$last.TITLE}" class="pwg-state-default pwg-button pwg-button-icon-right">
 		<span class="pwg-icon pwg-icon-arrowstop-e"></span><span class="pwg-button-text">{'Last'|@translate}</span>
@@ -81,5 +81,5 @@
 		<span class="pwg-icon pwg-icon-arrowstop-e">&nbsp;</span><span class="pwg-button-text">{'Last'|@translate}</span>
 	</span>
-{/if}{/strip}-->
+{/if}{/strip}-->*}
 {/if}
 </div>
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 13800)
+++ /trunk/themes/default/theme.css	(revision 13801)
@@ -270,28 +270,17 @@
 }
 
-.commentsList LI {
-	margin: 0;
-	padding: 0;
+.commentElement {
+	margin: 5px;
+	padding: 2px 0 0 2px;
 	float: left;
 	width:99%;
 }
 
-.commentElement {
-	display:block;
-	padding: 2px 0 0 2px;
-	margin: 5px;
-}
-
 .commentElement .description {
-	font-size: 100%;
 	overflow: auto;
 	/*width: inherit;*/
 }
 
-.commentElement .description P {
-	margin: 0;
-}
-
-.commentElement DIV.illustration {
+.commentElement .illustration {
 	text-align: left;
 	margin: 2px 0 0 2px;
@@ -412,11 +401,5 @@
 }
 
-.infoTable .label {
-	font-weight: bold;
-	text-align: right;
-	padding-right: 0.5em;
-}
-
-.infoTable UL {
+.imageInfoTable UL { /*this is the album list*/
 	margin: 0;
 	padding: 0 0 0 1em;
@@ -452,6 +435,4 @@
 	clear: none;
 }
-
-.noCommentText {display:none;}
 
 /**
@@ -825,22 +806,20 @@
 #commentAdd input[type="text"],
 #commentAdd textarea {
-	min-width: 100%;
 	max-width: 100%;
 	width: 100%;
-	font-family: Arial,Helvetica,sans-serif;
-	font-size: 100%;
-}
-#pictureCommentList li {
-	clear: both;
-	display: block;
-	padding: 0.5em 0;
-	margin-bottom: 5px;
+}
+
+#pictureCommentList .commentElement {
 	border-radius: 5px;
-	width: 100%;
-}
-#pictureCommentList ul 				{ list-style: none; padding: 0;}
-#pictureCommentList li ul				{ list-style-type: none; padding: 4px;}
-#pictureCommentList .author 			{ font-weight: bold;}
-#pictureCommentList .date 			{ font-style: italic;}
+}
+
+.commentAuthor {
+	font-weight: bold;
+}
+
+.commentDate {
+	font-style: italic
+}
+
 #pictureCommentList .commentsOrder	{ float: left; margin-bottom: 5px;}
 #pictureCommentList .navigationBar	{ float: right; margin-bottom: 5px;}
@@ -848,5 +827,4 @@
 #pictureComments form p				{ margin: 5px 0; text-align: left;}
 #pictureComments form p textarea		{ margin: 10px 0;}
-#pictureComments INPUT				{ margin: 10px;}
 #pictureComments INPUT[type=submit]	{ margin: 0;}
 
Index: /trunk/themes/elegant/theme.css
===================================================================
--- /trunk/themes/elegant/theme.css	(revision 13800)
+++ /trunk/themes/elegant/theme.css	(revision 13801)
@@ -12,9 +12,8 @@
 #thePicturePage #comments 					{ background-color: #333;}
 #pictureCommentList li 						{ background-color: #444;}
-#pictureCommentList .commentElement 			{ background-color: transparent;}
 .calendarTitle								{ background-color: #222;}
 
 .switchBox, .header_notes 					{ background-color: #555;}
-.thumbnailCategory, .commentElement 			{ background-color: #333;}
+.thumbnailCategory 			{ background-color: #333;}
 .message									{ background-color: #666;}
 
@@ -163,5 +162,5 @@
 .thumbnails IMG 						{ margin-bottom: 0; vertical-align: middle;}
 .thumbnailCategory DIV.illustration,
-.commentElement DIV.illustration 		{ margin: 2px; text-align: center;}
+.commentElement .illustration 		{ margin: 2px; text-align: center;}
 
 
@@ -239,5 +238,4 @@
 #thePicturePage #comments fieldset		{ margin: 0 1em;}
 
-.noCommentText						{ display:block;}
 .commentshidden #pictureComments		{ display: none;}
 .commentContent .comments_toggle 	{ cursor: pointer;}
@@ -255,16 +253,5 @@
 	font-size: 100%;
 }
-#pictureCommentList li {
-	clear: both;
-	display: block;
-	padding: 0.5em 0;
-	margin-bottom: 5px;
-	border-radius: 5px;
-	width: 100%;
-}
-#pictureCommentList ul 				{ list-style: none; padding: 0;}
-#pictureCommentList li ul				{ list-style-type: none; padding: 4px;}
-#pictureCommentList .author 			{ font-weight: bold;}
-#pictureCommentList .date 			{ font-style: italic;}
+
 #pictureCommentList .commentsOrder	{ float: left; margin-bottom: 5px;}
 #pictureCommentList .navigationBar	{ float: right; margin-bottom: 5px;}