Index: /extensions/UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 13821)
+++ /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 13822)
@@ -285,4 +285,16 @@
 
 -- 2.30.4 : Bug 2580 fixed - DE translation files corrupted
+
+-- 2.30.5 : Bug 2583 fixed - help.lang.php was not loaded correctly
+            Bug 2602 fixed - Sql error when Confirmation by admin is set 
+            en_UK reference translation spellchecking
+            de_DE translation updated
+            fr_FR translation updated
+
+**************************************************************
+***** Plugin history (branch 2.40 - Piwigo 2.4 compliant)*****
+**************************************************************
+-- 2.40.0 : Bug 2570 fixed - Adding Wiki link to complete plugin documentation
+            Bug 2591 fixed - Excluding Adult_Content generic users from users tracking list
 */
 ?>
Index: /extensions/UserAdvManager/trunk/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 13821)
+++ /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 13822)
@@ -100,9 +100,10 @@
   if ($register_user['username'] != "16" and $register_user['username'] != "18")
   {
+    $passwd = (isset($_POST['password'])) ? $_POST['password'] : '';
+    
     if ((isset($conf_UAM[0]) and $conf_UAM[0] == 'true') and (isset($conf_UAM[1]) and $conf_UAM[1] == 'local'))
     {
       // This is to send an information email and set user to "waiting" group or status until admin validation
       // -----------------------------------------------------------------------------------------------------
-      $passwd = (isset($_POST['password'])) ? $_POST['password'] : '';
       SendMail2User(1, $register_user['id'], $register_user['username'], $passwd, $register_user['email'], false);
       SetPermission($register_user['id']);// Set to "waiting" group or status until admin validation
@@ -118,5 +119,4 @@
       // This is to send an information email without validation key
       // -----------------------------------------------------------
-      $passwd = (isset($_POST['password'])) ? $_POST['password'] : '';
       SendMail2User(1, $register_user['id'], $register_user['username'], $passwd, $register_user['email'], false);
     }
@@ -127,15 +127,12 @@
       if (is_admin() and isset($conf_UAM[19]) and $conf_UAM[19] == 'true')
       {
-        $passwd = (isset($_POST['password'])) ? $_POST['password'] : '';
         SendMail2User(1, $register_user['id'], $register_user['username'], $passwd, $register_user['email'], true); 
       }
       elseif (is_admin() and isset($conf_UAM[19]) and $conf_UAM[19] == 'false')
       {
-        $passwd = (isset($_POST['password'])) ? $_POST['password'] : '';
         SendMail2User(1, $register_user['id'], $register_user['username'], $passwd, $register_user['email'], false);
       }
       elseif (!is_admin())
       {
-        $passwd = (isset($_POST['password'])) ? $_POST['password'] : '';
         SendMail2User(1, $register_user['id'], $register_user['username'], $passwd, $register_user['email'], true);
       }
@@ -1598,5 +1595,5 @@
   }
 
-  if (!is_admin() and $conf_UAM[2] <> -1) // Set privacy level
+  if (!is_admin() and $conf_UAM[35] <> -1) // Set privacy level
   {
     $query = "
@@ -1604,5 +1601,5 @@
   (user_id, level)
 VALUES
-  ('".$user_id."', '".$conf_UAM[level]."')
+  ('".$user_id."', '".$conf_UAM[35]."')
 ;";
     pwg_query($query);
Index: /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 13821)
+++ /extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 13822)
@@ -240,5 +240,5 @@
 $lang['UAM_Default_ConfirmMail_Txt'] = 'Hello [username]! Thank you to have register on [mygallery].
 
-To complete the procedure and be able to browse through the pictures, thank you kindly confirm your registration by clicking on the link in this message.';
+To complete the process and be able to browse through the pictures, thank you kindly confirm your registration by clicking on the link in this message.';
 $lang['UAM_Default_GhstReminder_Txt'] = 'Hello [username].
 	
Index: /extensions/UserAdvManager/trunk/main.inc.php
===================================================================
--- /extensions/UserAdvManager/trunk/main.inc.php	(revision 13821)
+++ /extensions/UserAdvManager/trunk/main.inc.php	(revision 13822)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: UserAdvManager
-Version: 2.30.4
+Version: 2.40.0
 Description: Renforcer la gestion des utilisateurs - Enforce users management
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=216