Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 13825)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 13826)
@@ -837,3 +837,23 @@
 $lang['Web Form'] = 'Formulário web';
 $lang['Applications'] = 'Aplicações'; 
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = 'A aplicação <em>Piwigo for Android</em> permite-lhe ligar do seu telefone Android ou Tablet à galeria Piwigo, criar albuns e carregar diversas fotos simultâneamente.';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'A aplicação <em>Piwigo for iOS</em> permite-lhe, ligação à sua galeria Piwigo a partir do seu IPhone,IPad ou IPod táctil, criar albuns e carregar fotos simultâneamente.';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom é um software para fotografia desenhado para manusear uma larga quantidade de fotos digitais e transferir as mesmas para a web.';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture é uma potente ferramenta destinada a refinar imagens e trabalhar massivas livrarias em Mac.';
+$lang['Available on'] = 'Existente em';
+$lang['Available versions for'] = 'Versões existentes para';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'DigiKam é um software grátis de tratamento foto-digital para Linux, Windows e MacOSX.';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'Digikam é aconselhado para fotografos que querem ver, manusear, editar, tratar, organizar, atribuir tags e partilhar essas fotos.';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'Iphoto é, por defeito, um software para MacOSX. A aplicação de exportação Piwigo permite-lhe criar novos albuns e exportar fotos directamente de Iphoto para a galeria Piwigo.';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Em Linux, instale o Shotwell com o pacote base e, depois apenas. terá de ativar a plicação.';
+$lang['Piwigo export plugin for Aperture'] = 'Aplicação Piwigo de exportação para Aperture.';
+$lang['Piwigo export plugin for iPhoto'] = 'Aplicação Piwigo de exportação para Iphoto.';
+$lang['Piwigo for Android'] = 'Piwigo para Android';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo para  iOS (iPhone, iPad, iPod táctil)';
+$lang['Piwigo publish plugin for digiKam'] = 'Aplicação de publicação Piwigo para DigiKam.';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Aplicação de publicação Piwigo para Lightroom.';
+$lang['Piwigo publish plugin for Shotwell'] = 'Aplicação de publicação Piwigo para Shotwell.';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell é um organizador (Open Source) de origem aberta para fotos digitais em Linux. É, por defeito, o organizador do Ubuntu e Fedora';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'A aplicação "Piwigo publish" permite-lhe exportar e sincronizar fotos directamente do Lightroom para a sua galeria Piwigo. ';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Para expotar fotos de DigiKam para Piwwigo, apenas é necessário instalar as aplicações DigiKam e Kipi.';
 ?>