Index: /trunk/language/nl_NL/common.lang.php
===================================================================
--- /trunk/language/nl_NL/common.lang.php	(revision 13851)
+++ /trunk/language/nl_NL/common.lang.php	(revision 13852)
@@ -59,8 +59,8 @@
 $lang['Album'] = 'Categorie';
 $lang['Close this window'] = 'Sluit dit venster';
-$lang['Complete RSS feed (photos, comments)'] = 'Complete RSS feed (afbeeldingen, commentaar)';
+$lang['Complete RSS feed (photos, comments)'] = 'Complete RSS feed (afbeeldingen, commentaren)';
 $lang['Confirm Password'] = 'Bevestig wachtwoord';
 $lang['Connection settings'] = 'Verbindings-instellingen';
-$lang['Login'] = 'Verbinding';
+$lang['Login'] = 'Aanmelden';
 $lang['Contact webmaster'] = 'Neem contact op met de webbeheerder';
 $lang['Create a new account'] = 'Maak een nieuw account aan';
@@ -97,5 +97,5 @@
 $lang['Posted on'] = 'Geplaatst op';
 $lang['Profile'] = 'Profiel';
-$lang['Quick connect'] = 'Snel inloggen';
+$lang['Quick connect'] = 'Snel verbinden';
 $lang['RSS feed'] = 'RSS feed';
 $lang['Register'] = 'Registreren';
@@ -121,10 +121,10 @@
 $lang['Week %d'] = 'Week %d';
 $lang['About Piwigo'] = 'Over Piwigo';
-$lang['You are not authorized to access the requested page'] = 'U heeft geen rechten tot de opgevraagde pagina';
+$lang['You are not authorized to access the requested page'] = 'U heeft geen rechten voor de opgevraagde pagina';
 $lang['add this photo to your favorites'] = 'Voeg deze afbeelding toe aan uw favorieten';
 $lang['Administration'] = 'Beheer';
 $lang['all'] = 'alle';
 $lang['ascending'] = 'Oplopend';
-$lang['author(s) : %s'] = 'Maker : %s';
+$lang['author(s) : %s'] = 'Maker(s) : %s';
 $lang['Expand all albums'] = 'Toon alle categorieën';
 $lang['posted after %s (%s)'] = 'geplaatst na %s (%s)';
@@ -133,5 +133,5 @@
 $lang['posted on %s'] = 'geplaatst op %s';
 $lang['Best rated'] = 'Beste gewaardeerd';
-$lang['display best rated photos'] = 'Weergeven van de hoogste waardering';
+$lang['display best rated photos'] = 'Weergeven van de hoogst gewaardeerde afbeeldingen';
 $lang['Calendar'] = 'Kalender';
 $lang['All'] = 'Alle';
@@ -149,5 +149,5 @@
 $lang['An administrator must authorize your comment before it is visible.'] = 'Een beheerder moet uw commentaar goedkeuren voordat het zichtbaar wordt.';
 $lang['This login is already used by another user'] = 'Deze gebruikersnaam is al in gebruik';
-$lang['Comments'] = 'Commentaar';
+$lang['Comments'] = 'Commentaren';
 $lang['Add a comment'] = 'Voeg commentaar toe';
 $lang['created after %s (%s)'] = 'Gemaakt na %s (%s)';
@@ -165,5 +165,5 @@
 $lang['day'][6] = 'Zaterdag';
 $lang['Default'] = 'Standaard';
-$lang['delete this photo from your favorites'] = 'Verwijder deze foto van uw favorieten';
+$lang['delete this photo from your favorites'] = 'Verwijder deze afbeelding van uw favorieten';
 $lang['Delete'] = 'Verwijderen';
 $lang['descending'] = 'Aflopend';
@@ -174,5 +174,5 @@
 $lang['excluded'] = 'uitsluiten';
 $lang['Your favorites'] = 'Mijn favorieten';
-$lang['display your favorites photos'] = 'toon mijn favoriete foto\'s';
+$lang['display your favorites photos'] = 'toon mijn favoriete afbeeldingen';
 $lang['Favorites'] = 'Favorieten';
 $lang['First'] = 'Eerste';
@@ -196,5 +196,5 @@
 $lang['last %d days'] = 'laaste %d dagen';
 $lang['Last'] = 'Laatste';
-$lang['Logout'] = 'Loguit';
+$lang['Logout'] = 'Afmelden';
 $lang['obligatory'] = 'verplicht';
 $lang['Maximum photo height'] = 'Maximale hoogte van de afbeelding';
@@ -219,5 +219,5 @@
 $lang['month'][9] = 'September';
 $lang['Most visited'] = 'Meest bekeken';
-$lang['display most visited photos'] = 'Toon de meest bekeken afbeelding';
+$lang['display most visited photos'] = 'Toon de meest bekeken afbeeldingen';
 $lang['The number of photos per page must be a not null scalar'] = 'Het aantal afbeeldingen per pagina mag geen ongeldige deling zijn';
 $lang['Number of photos per page'] = 'Aantal afbeeldingen per pagina';
@@ -227,6 +227,6 @@
 $lang['Next'] = 'Volgende';
 $lang['no rate'] = 'geen waardering';
-$lang['Photos posted within the last %d day.'] = 'Toon alleen afbeeldingen geplaatst in de laatste %s dag.';
-$lang['Photos posted within the last %d days.'] = 'Toon alleen afbeeldingen geplaatst in de laatste %s dagen.';
+$lang['Photos posted within the last %d day.'] = 'Toon alleen afbeeldingen geplaatst op de laatste %s dag.';
+$lang['Photos posted within the last %d days.'] = 'Toon alleen afbeeldingen de laatste %s dagen geplaatst.';
 $lang['password updated'] = 'wachtwoord bijgewerkt';
 $lang['Recent period must be a positive integer value'] = 'Recente periode moet een positieve waarde zijn';
@@ -238,10 +238,10 @@
 $lang['Previous'] = 'Vorige';
 $lang['Random photos'] = 'Willekeurige afbeeldingen';
-$lang['display a set of random photos'] = 'toon een set van willekeurige afbeeldingen';
+$lang['display a set of random photos'] = 'Toon een set van willekeurige afbeeldingen';
 $lang['Recent albums'] = 'Recente categorieën';
 $lang['display recently updated albums'] = 'toon recentelijk bijgewerkte categorieën';
 $lang['Recent period'] = 'Recente periode (aantal dagen)';
 $lang['Recent photos'] = 'Recente afbeeldingen';
-$lang['display most recent photos'] = 'toon meest recente afbeelding';
+$lang['display most recent photos'] = 'toon meest recente afbeeldingen';
 $lang['Redirection...'] = 'doorsturen...';
 $lang['Please, enter a login'] = 'Vul uw gebruikersnaam in aub.';
@@ -317,5 +317,5 @@
 $lang['%d photos are also linked to current tags'] = '%d afbeeldingen zijn ook gelinkt aan de actuele tags';
 $lang['display photos linked to this tag'] = 'Toon afbeeldingen gelinkt met deze tag';
-$lang['photos posted during the last %d days'] = 'Afbeelding ontvangen binnen de afgelopen %d dagen';
+$lang['photos posted during the last %d days'] = 'Afbeeldingen de afgelopen %d dagen ontvangen';
 $lang['Piwigo Help'] = 'Piwigo Help';
 $lang['Are you sure?'] = 'Weet u het zeker?';
@@ -326,18 +326,18 @@
 $lang['cloud'] = 'wolk';
 $lang['Reset to default values'] = 'Reset naar standaardwaarden';
-$lang['delete all photos from your favorites'] = 'verwijder al de afbeeldingen van uw favorieten';
+$lang['delete all photos from your favorites'] = 'verwijder alle afbeeldingen van uw favorieten';
 $lang['Sent by'] = 'Verstuurd door';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies worden geblokkeerd of worden niet ondersteund door uw browser. Om verbinding te kunnen maken dient u er voor te zorgen dat het gebruik van cookies mogelijk is.';
 $lang['Edit a comment'] = 'een commentaar wijzigen';
-$lang['(!) This comment requires validation'] = '(!) Dit commentaar moet nog gevakideerd worden';
+$lang['(!) This comment requires validation'] = '(!) Dit commentaar moet nog gevalideerd worden';
 $lang['Welcome'] = 'Welkom';
-$lang['Welcome to your Piwigo photo gallery!'] = 'Welkom bij uw Piwigo fotogalerie!';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Welkom bij uw Piwigo afbeeldingengalerie!';
 $lang['... or browse your empty gallery'] = '... of blader door uw lege galerie';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... of deactiveer deze boodschap aub, Ik vind mijn weg zelf wel';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, uw Piwigo fotogalerie is leeg!';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, uw Piwigo afbeeldingengalerie is leeg!';
 $lang['I want to add photos'] = 'Ik wil afbeeldingen toevoegen';
 $lang['Manage this user comment: %s'] = 'Valideer het volgende gebruikers-commentaar: %s';
 $lang['This author modified following comment:'] = 'Deze bewerker wijzigde het volgende commentaar:';
-$lang['This author removed the comment with id %d'] = 'This author removed the comment with id %d';
+$lang['This author removed the comment with id %d'] = 'Deze bewerker verwijderde het commentaar met id %d';
 $lang['html tags are not allowed in login'] = 'html tags zijn niet toegestaan in login';
 $lang['%d rates'] = '%d stemmen';
@@ -354,8 +354,8 @@
 $lang['Invalid key'] = 'Onjuiste sleutel';
 $lang['The passwords do not match'] = 'De paswoorden zijn niet gelijk';
-$lang['Your password has been reset'] = 'Je paswoord is vernieuwd';
+$lang['Your password has been reset'] = 'Uw paswoord is vernieuwd';
 $lang['Return to home page'] = 'Keer terug naar de home page';
 $lang['Please enter your username or email address.'] = 'Voer je gebruikersnaam en e-mailadres in.';
-$lang['You will receive a link to create a new password via email.'] = 'Via e-mail krijg je een link om je paswoord te vernieuwen.';
+$lang['You will receive a link to create a new password via email.'] = 'Via e-mail krijgt u een link om uw paswoord te vernieuwen.';
 $lang['Username or email'] = 'Gebruikersnaam of e-mail';
 $lang['Change my password'] = 'Vernieuw mijn paswoord';
@@ -363,5 +363,5 @@
 $lang['EXIF Metadata'] = 'EXIF Metagegevens';
 $lang['IPTC Metadata'] = 'IPTC Metagegevens';
-$lang['Edit'] = 'Bewerk';
+$lang['Edit'] = 'Wijzig';
 $lang['large'] = 'groot';
 $lang['medium'] = 'middel';
@@ -382,9 +382,26 @@
 $lang['Username: %s'] = 'Gebruikersnaam %s';
 $lang['Your username has been successfully changed to : %s'] = 'Uw gebruikersnaam is succesvol gewijzigd in: %s';
-$lang['Show oldest comments first'] = 'Toon oudste berichten eerst';
-$lang['Show latest comments first'] = 'Toon nieuwste berichten eerst';
-$lang['Photo sizes'] = 'Foto groottes';
+$lang['Show oldest comments first'] = 'Toon oudste commentaren eerst';
+$lang['Show latest comments first'] = 'Toon nieuwste commentaren eerst';
+$lang['Photo sizes'] = 'Afbeeldingsgroottes';
 $lang['View in'] = 'Bekijk in';
 $lang['Mobile'] = 'Mobiel';
 $lang['Desktop'] = 'Bureaublad';
+$lang['2small'] = 'extra-extra-klein';
+$lang['Date created, new &rarr; old'] = 'Aanmaakdatum, nieuw &rarr; oud';
+$lang['Date created, old &rarr; new'] = 'Aanmaakdatum, oud &rarr; nieuw';
+$lang['Date posted, new &rarr; old'] = 'Datum geplaatst, nieuw &rarr; oud';
+$lang['Date posted, old &rarr; new'] = 'Datum geplaatst, oud &rarr; nieuw';
+$lang['File name, A &rarr; Z'] = 'Bestandsnaam, A &rarr; Z';
+$lang['File name, Z &rarr; A'] = 'Bestandsnaam, Z &rarr; A';
+$lang['Manual sort order'] = 'Handmatige sorteervolgorde';
+$lang['Numeric identifier, 1 &rarr; 9'] = 'Numerieke aanduiding, 1 &rarr; 9';
+$lang['Numeric identifier, 9 &rarr; 1'] = 'Numerieke aanduiding, 0 &rarr; 1';
+$lang['Photo title, A &rarr; Z'] = 'Afbeeldingtitel, A &rarr; Z';
+$lang['Photo title, Z &rarr; A'] = 'Afbeeldingtitel, Z &rarr; A';
+$lang['Rating score, high &rarr; low'] = 'Waardering, hoog &rarr; laag';
+$lang['Rating score, low &rarr; high'] = 'Waardering, laag &rarr; hoog';
+$lang['Visits, high &rarr; low'] = 'Aantal keren bezocht, hoog &rarr; laag';
+$lang['Visits, low &rarr; high'] = 'Aantal keren bezocht, laag &rarr; hoog';
+$lang['xsmall'] = 'extra-klein';
 ?>