Index: /extensions/pwgCumulus/language/uk_UA/description.txt
===================================================================
--- /extensions/pwgCumulus/language/uk_UA/description.txt	(revision 13862)
+++ /extensions/pwgCumulus/language/uk_UA/description.txt	(revision 13862)
@@ -0,0 +1,1 @@
+Ce plugin permet d'afficher un nuage de tags sous forme d'une animation flash en 3D.
Index: /extensions/pwgCumulus/language/uk_UA/index.php
===================================================================
--- /extensions/pwgCumulus/language/uk_UA/index.php	(revision 13862)
+++ /extensions/pwgCumulus/language/uk_UA/index.php	(revision 13862)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pwgCumulus/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/uk_UA/plugin.lang.php	(revision 13862)
+++ /extensions/pwgCumulus/language/uk_UA/plugin.lang.php	(revision 13862)
@@ -0,0 +1,68 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// admin
+$lang['Add tags cloud in main menu'] = 'Додати хмару тегів в головне меню';
+$lang['After'] = 'Після';
+$lang['Animation colors'] = 'Кольори анімації';
+$lang['Animation configuration : size, tags colors, tags size'] = 'Конфігурація анімації: розмір, тегі, кольори, розмір тегів';
+$lang['Animation width and height'] = 'Ширина і висота анімації';
+$lang['Background color'] = 'Колір фону';
+$lang['Background color updated'] = 'Колір фону оновлено';
+$lang['Before'] = 'Перед';
+$lang['block'] = 'блок';
+$lang['Check the checkbox to add tags cloud in main menu'] = 'Встановіть прапорець щоб додати хмарку тегів в головне меню';
+$lang['Check the checkbox to use transparent mode for background'] = 'Встановіть прапорець щоб встановити прозорий фон';
+$lang['Coefficient'] = 'Коефіціент';
+$lang['Coefficient for tags size updated'] = 'Коефіціент розміру тегів оновлено';
+$lang['Color 1'] = 'Колік 1';
+$lang['Color 1 updated'] = 'Колір 1 оновлено';
+$lang['Color 2'] = 'Колір 2';
+$lang['Color 2 updated'] = 'Колір 2 оновлено';
+$lang['Cumulus Tags Cloud Plugin'] = 'Додаток Купчаста Хмарка Тегів';
+$lang['Current release:'] = 'Поточний реліз:';
+$lang['Dashboard'] = 'Приладова панель';
+$lang['Height'] = 'Висота';
+$lang['Height updated'] = 'Висоту оновлено';
+$lang['Menu'] = 'Меню';
+$lang['Mouseover color'] = 'Колір під наведеною мишою';
+$lang['Mouseover color updated'] = 'Колір під наведеною мишою оновлено';
+$lang['Position'] = 'Положення';
+$lang['Position in main menu has been updated'] = 'Положення в головному меню оновленно';
+$lang['Tags cloud added in main menu'] = 'Хмарку тегів додано в головне меню';
+$lang['Tags cloud in main menu?'] = 'Хмарка тегів в головному меню?';
+$lang['Tags cloud removed from main menu'] = 'Хмарку тегів видалено з головне меню';
+$lang['Tags page'] = 'Сторінка тегів';
+$lang['Tags size'] = 'Розмір тегів';
+$lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = 'Цей додаток показує тегі використовуючи flash-анімацію що обертає їх в 3-х вимірах. Це працює як звичайна хмарка тегів але більш дивовижним і захоплюючим способом.';
+$lang['Transparent mode for background'] = 'Прозорість для фону';
+$lang['Transparent mode is not used'] = 'Прозорість для фону не використовується';
+$lang['Transparent mode is used'] = 'Прозорість для фону використовується';
+$lang['Width'] = 'Ширина';
+$lang['Width updated'] = 'Ширину оновлено';
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = 'Ви можете обрати цей режим для показу тегів як режим за замовченням додавши (або змінивши) в конфігураційному файлі';
+$lang['You can choose to add cumulus tag cloud in menu. You can define tags cloud position in the main menu by choosing its position related to another block'] = 'Вим ожете додати cumulus хмарку тегів в меню. Ви можете визначити позицію хмарки тегів в головному меню обравши його позицію відносно іншогог блоку';
+
+// public
+$lang['cloud'] = 'хмарка';
+$lang['cumulus cloud'] = 'купчаста хмарка';
+$lang['show tag cloud'] = 'показувати хмарку тегів'; 
+?>