Index: /trunk/language/pt_PT/common.lang.php
===================================================================
--- /trunk/language/pt_PT/common.lang.php	(revision 13865)
+++ /trunk/language/pt_PT/common.lang.php	(revision 13866)
@@ -47,8 +47,8 @@
 $lang['%d hit'] = 'visto %d vez';
 $lang['%d hits'] = 'visto %d vezes';
-$lang['%d new photo'] = '%d imagem nova';
-$lang['%d new photos'] = '%d imagens novas';
-$lang['%d new user'] = '%d utilizador novo';
-$lang['%d new users'] = '%d utilizador novos';
+$lang['%d new photo'] = '%d foto nova';
+$lang['%d new photos'] = '%d fotos novas';
+$lang['%d new user'] = '%d novo utilizador ';
+$lang['%d new users'] = '%d novos utilizadores ';
 $lang['About'] = 'Sobre';
 $lang['All tags'] = 'Todas as etiquetas';
@@ -56,10 +56,10 @@
 $lang['At least one listed rule must be satisfied.'] = 'No mínimo, um dos critérios deverá ser satisfeito.';
 $lang['Author'] = 'Autor';
-$lang['Albums'] = 'Álbum';
-$lang['Album'] = 'Álbums';
+$lang['Albums'] = 'Albuns';
+$lang['Album'] = 'Album';
 $lang['Close this window'] = 'Fechar a janela';
 $lang['Complete RSS feed (photos, comments)'] = 'RSS completo (fotos e comentários)';
-$lang['Confirm Password'] = 'Confirmar palavra-passe';
-$lang['Connection settings'] = 'dados da ligação';
+$lang['Confirm Password'] = 'Confirmar a senha';
+$lang['Connection settings'] = 'Definições de ligação';
 $lang['Login'] = 'Entrar';
 $lang['Contact webmaster'] = 'Contactar o webmaster';
@@ -70,8 +70,8 @@
 $lang['Dimensions'] = 'Dimensões';
 $lang['Display'] = 'Mostrar';
-$lang['Each listed rule must be satisfied.'] = 'Todos os critérios devem ser satisfeitos';
-$lang['Email address is missing. Please specify an email address.'] = 'Falta o endereço de email';
+$lang['Each listed rule must be satisfied.'] = 'Todos os critérios listados devem ser satisfeitos';
+$lang['Email address is missing. Please specify an email address.'] = 'Esqueceu o endereço de email. Por favor indique um email.';
 $lang['Email address'] = 'Endereço de email';
-$lang['Enter your personnal informations'] = 'Introduza as suas informações pessoais';
+$lang['Enter your personnal informations'] = 'Introduza os seus dados pessoais';
 $lang['Error sending email'] = 'Erro durante o envio do email';
 $lang['File name'] = 'Nome do ficheiro';
@@ -84,14 +84,14 @@
 $lang['Help'] = 'Ajuda';
 $lang['Identification'] = 'Identificação';
-$lang['Photos only RSS feed'] = 'RSS de imagens';
+$lang['Photos only RSS feed'] = 'RSS de fotos';
 $lang['Keyword'] = 'Palavra chave';
 $lang['Links'] = 'Links';
 $lang['N/A'] = 'Não disponível';
-$lang['New on %s'] = 'Novo em %s';
+$lang['New on %s'] = 'Novo no %s';
 $lang['Notification'] = 'Notificação';
 $lang['Number of items'] = 'Número de items';
-$lang['Original dimensions'] = 'Dimensão original';
-$lang['Password forgotten'] = 'Palavra-passe perdida';
-$lang['Password'] = 'Palavra-passe';
+$lang['Original dimensions'] = 'Dimensões originais';
+$lang['Password forgotten'] = 'Senha esquecida';
+$lang['Password'] = 'Senha';
 $lang['Post date'] = 'Data de Publicação';
 $lang['Posted on'] = 'Publicado em';
@@ -99,13 +99,13 @@
 $lang['Quick connect'] = 'Ligação Rápida';
 $lang['RSS feed'] = 'RSS';
-$lang['Register'] = 'Registar-se';
+$lang['Register'] = 'Registar';
 $lang['Registration'] = 'Registo';
 $lang['Related tags'] = 'Etiquetas relacionados';
-$lang['Reset'] = 'Cancelar';
+$lang['Reset'] = 'Reset';
 $lang['Retrieve password'] = 'Recuperar a palavra-passe';
 $lang['Search rules'] = 'Critérios de pesquisa';
 $lang['Search tags'] = 'Pesquisar as estiquetas';
-$lang['Search'] = 'Pesquisa';
-$lang['display available tags'] = 'Ver as etiquetas disponíveis';
+$lang['Search'] = 'pesquisar';
+$lang['display available tags'] = 'Mostrar etiquetas disponíveis';
 $lang['Since'] = 'Desde ';
 $lang['Sort by'] = 'Ordenar por';
@@ -115,5 +115,5 @@
 $lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'O RSS notifica-o(a) dos eventos da galeria : novas imagens, álbums actualizados, novos comentários, utilizadores, etc. Use um leitor de RSS para subscrever.';
 $lang['Unknown feed identifier'] = 'identificador de RSS desconhecido';
-$lang['User comments'] = 'Comentários de utilizadores';
+$lang['User comments'] = 'Comentários de utilizador';
 $lang['Username'] = 'Nome de utilizador';
 $lang['Visits'] = 'Visitas';
@@ -121,5 +121,5 @@
 $lang['Week %d'] = 'Semana %d';
 $lang['About Piwigo'] = 'Sobre Piwigo';
-$lang['You are not authorized to access the requested page'] = 'Não tem permissões para aceder à página requisitada';
+$lang['You are not authorized to access the requested page'] = 'Não tem permissões para aceder à página solicitada';
 $lang['add this photo to your favorites'] = 'Adicionar aos favoritos';
 $lang['Administration'] = 'Administração';
@@ -127,5 +127,5 @@
 $lang['ascending'] = 'crescente';
 $lang['author(s) : %s'] = 'autor(es) : %s';
-$lang['Expand all albums'] = 'Expandir todos os álbums';
+$lang['Expand all albums'] = 'Expandir todos os albums';
 $lang['posted after %s (%s)'] = 'publicado depois de %s (%s)';
 $lang['posted before %s (%s)'] = 'publicado antes de %s (%s)';
@@ -133,9 +133,9 @@
 $lang['posted on %s'] = 'Publicado em %s';
 $lang['Best rated'] = 'Melhor classificadas';
-$lang['display best rated photos'] = 'Mostrar as imagens com as melhores classificações';
+$lang['display best rated photos'] = 'Mostrar as fotos com melhor classificação';
 $lang['Calendar'] = 'Calendário';
 $lang['All'] = 'Tudo';
-$lang['display each day with photos, month per month'] = 'Mostrar todos os dias com imagens, mês a mês';
-$lang['View'] = 'Vista';
+$lang['display each day with photos, month per month'] = 'Mostrar cada dia com fotos, mês a mês';
+$lang['View'] = 'Ver';
 $lang['chronology_monthly_calendar'] = 'Calendário mensal';
 $lang['chronology_monthly_list'] = 'Lista mensal';
@@ -146,11 +146,11 @@
 $lang['Your comment has been registered'] = 'O seu comentário foi registado.';
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Sistema anti-abuso : Por favor, espere um momento antes de tentar escrever um novo comentário';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'O seu comentário não pôde ser registado porque não passou pelas regras de validação';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'O seu comentário NÃO pôde ser registado porque não passou pelas regras de validação';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Um administrador deve autorizar o seu comentário para que ele seja visível por todos.';
-$lang['This login is already used by another user'] = 'Este login já está a ser utilizado.';
+$lang['This login is already used by another user'] = 'Esta entrada já é usada por outro utilizador.';
 $lang['Comments'] = 'Comentários';
 $lang['Add a comment'] = 'Adicionar um comentário';
-$lang['created after %s (%s)'] = 'criado depois de %s (%s)';
-$lang['created before %s (%s)'] = 'criado antes de %s (%s)';
+$lang['created after %s (%s)'] = 'criada depois de %s (%s)';
+$lang['created before %s (%s)'] = 'criada antes de %s (%s)';
 $lang['created between %s (%s) and %s (%s)'] = 'Criada entre  %s (%s) e  %s (%s)';
 $lang['created on %s'] = 'criado em %s';
@@ -165,9 +165,9 @@
 $lang['day'][6] = 'Sábado';
 $lang['Default'] = 'Padrão';
-$lang['delete this photo from your favorites'] = 'Remover esta imagem dos favoritos';
+$lang['delete this photo from your favorites'] = 'Remover esta foto dos favoritos';
 $lang['Delete'] = 'Apagar';
 $lang['descending'] = 'decrescente';
-$lang['Download'] = 'Transferir';
-$lang['Download this file'] = 'fazer download deste ficheiro';
+$lang['Download'] = 'Descarregar';
+$lang['Download this file'] = 'fazer descarga deste ficheiro';
 $lang['edit'] = 'editar';
 $lang['wrong date'] = 'data errada';
@@ -182,5 +182,5 @@
 $lang['Hello'] = 'Olá';
 $lang['available for administrators only'] = 'disponível apenas para os administradores';
-$lang['display this album'] = 'mostrar este álbum';
+$lang['display this album'] = 'mostrar este album';
 $lang['display last user comments'] = 'Ver os últimos comentários dos utilizadores';
 $lang['customize the appareance of the gallery'] = 'personalisar a aparência da galeria';
@@ -188,21 +188,21 @@
 $lang['Home'] = 'Início';
 $lang['in this album'] = 'neste álbum';
-$lang['in %d sub-album'] = 'em %d álbum';
-$lang['in %d sub-albums'] = 'em %d álbums';
+$lang['in %d sub-album'] = 'no sub-album %d ';
+$lang['in %d sub-albums'] = 'nos sub-albums %d ';
 $lang['included'] = 'incluídos';
-$lang['Invalid password!'] = 'Palavra-passe inválida!';
+$lang['Invalid password!'] = 'Senha inválida!';
 $lang['Language'] = 'Idioma';
 $lang['last %d days'] = '%d últimos dias';
 $lang['Last'] = 'Última página';
-$lang['Logout'] = 'Terminar Sessão';
-$lang['obligatory'] = 'obrigatório';
-$lang['Maximum photo height'] = 'Altura máxima das imagens';
-$lang['Maximum height must be a number superior to 50'] = 'A altura máxima das imagens deve ser um número superior a 50';
-$lang['Maximum photo width'] = 'Largura máxima das imagens';
-$lang['Maximum width must be a number superior to 50'] = 'A largura máxima das imagens deve ser um número superior a 50';
+$lang['Logout'] = 'Sair';
+$lang['obligatory'] = 'mandatário';
+$lang['Maximum photo height'] = 'Altura máxima das fotos';
+$lang['Maximum height must be a number superior to 50'] = 'A altura máxima das fotos deve ser um número maior que 50';
+$lang['Maximum photo width'] = 'Largura máxima das fotos';
+$lang['Maximum width must be a number superior to 50'] = 'A largura máxima das fotos deve ser um número maior que 50';
 $lang['display a calendar by creation date'] = 'Mostra um calendário ordenado pela data de criação';
-$lang['display all photos in all sub-albums'] = 'Mostra todos os elementos em todas os álbums';
-$lang['return to normal view mode'] = 'voltar à exibição normal';
-$lang['display a calendar by posted date'] = 'Mostrar um calendário por data de envio das imagens';
+$lang['display all photos in all sub-albums'] = 'Mostra todas as fotos em todos os sub-albuns';
+$lang['return to normal view mode'] = 'voltar ao modo normal de visionamento';
+$lang['display a calendar by posted date'] = 'Mostrar um calendário por data em que as imagens foram carregadas';
 $lang['month'][10] = 'Outubro';
 $lang['month'][11] = 'Novembro';
@@ -219,14 +219,14 @@
 $lang['Most visited'] = 'Mais vistas';
 $lang['display most visited photos'] = 'Mostra as fotos mais vistas';
-$lang['The number of photos per page must be a not null scalar'] = 'O número de fotos por página deve ser inteiro e não nulo';
-$lang['Number of photos per page'] = 'Número de imagens por página';
+$lang['The number of photos per page must be a not null scalar'] = 'O número de fotos por página deve ser um número que não 0';
+$lang['Number of photos per page'] = 'Número de fotos por página';
 $lang['Unknown identifier'] = 'Identificador desconhecido';
-$lang['New password'] = 'Nova palavra-passe';
-$lang['Rate this photo'] = 'Classifique a esta foto';
-$lang['Next'] = 'Página seguinte';
-$lang['no rate'] = 'nenhuma classificação';
-$lang['Photos posted within the last %d day.'] = 'Fotos adicionadas no último dia.';
-$lang['Photos posted within the last %d days.'] = 'Fotos adicionadas nos últimos %d dias';
-$lang['password updated'] = 'Palavra-passe actualizada';
+$lang['New password'] = 'Nova senha';
+$lang['Rate this photo'] = 'Classifique esta foto';
+$lang['Next'] = 'Seguinte';
+$lang['no rate'] = 'Sem avaliação';
+$lang['Photos posted within the last %d day.'] = 'Fotos adicionadas no último dia %d.';
+$lang['Photos posted within the last %d days.'] = 'Fotos adicionadas nos últimos dias %d';
+$lang['password updated'] = 'Senha actualizada';
 $lang['Recent period must be a positive integer value'] = 'O período de tempo deve ser um número inteiro positivo';
 $lang['photo'] = 'Foto';
@@ -235,9 +235,9 @@
 $lang['Powered by'] = 'Powered by';
 $lang['Preferences'] = 'Preferências';
-$lang['Previous'] = 'Página anterior';
+$lang['Previous'] = 'Prévia';
 $lang['Random photos'] = 'Fotos aleatórias';
-$lang['display a set of random photos'] = 'exibir um grupo aleatório de fotos';
-$lang['Recent albums'] = 'Álbums recentes';
-$lang['display recently updated albums'] = 'Exibir álbums actualizados recentemente.';
+$lang['display a set of random photos'] = 'exibir um conjunto aleatório de fotos';
+$lang['Recent albums'] = 'Albuns recentes';
+$lang['display recently updated albums'] = 'Exibir albums actualizados recentemente.';
 $lang['Recent period'] = 'Período recente';  
 $lang['Recent photos'] = 'Fotos recentes';
@@ -249,10 +249,10 @@
 $lang['this login is already used'] = 'Este nome de utilizador já existe';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'O formato do email deve ser do tipo: xxx@yyy.eee (exemplo : jack@altern.org)';
-$lang['please enter your password again'] = 'Por favor, escreva a sua palavra-passe novamente';
+$lang['please enter your password again'] = 'Por favor, escreva a sua senha novamente';
 $lang['Auto login'] = 'Início de Sessão automático';
 $lang['remove this tag from the list'] = 'remover esta etiqueta da lista';
 $lang['representative'] = 'Foto de Capa';
 $lang['Search for Author'] = 'Pesquisar por autor';
-$lang['Search in albums'] = 'Pesquisar nos álbums';
+$lang['Search in albums'] = 'Pesquisar nos albums';
 $lang['Search by date'] = 'Pesquisar por data';
 $lang['Date'] = 'Data';
@@ -264,5 +264,5 @@
 $lang['Empty query. No criteria has been entered.'] = 'Pesquisa vazia. Nenhum critério fornecido.';
 $lang['Search results'] = 'Resultados da pesquisa';
-$lang['Search in sub-albums'] = 'Pesquisar nos sub-álbums';
+$lang['Search in sub-albums'] = 'Pesquisar nos sub-albums';
 $lang['searched words : %s'] = 'Palavras pesquisadas : %s';
 $lang['Contact'] = 'Contacto';
@@ -271,10 +271,10 @@
 $lang['Show number of hits'] = 'Mostrar o número de vizualisações';
 $lang['slideshow'] = 'Slideshow';
-$lang['stop the slideshow'] = 'Interromper o Slideshow';
-$lang['Specials'] = 'Ferramentas';
+$lang['stop the slideshow'] = 'Parar o Slideshow';
+$lang['Specials'] = 'Especiais';
 $lang['SQL queries in'] = 'Pesquisas SQL em';
-$lang['display only recently posted photos'] = 'exibir apenas as fotos publicadas recentemente';
-$lang['return to the display of all photos'] = 'voltar a exibir todas as fotos';
-$lang['the beginning'] = 'Início';
+$lang['display only recently posted photos'] = 'Mostrar apenas as fotos publicadas recentemente';
+$lang['return to the display of all photos'] = 'voltar a visionar todas as fotos';
+$lang['the beginning'] = 'O começo';
 $lang['Interface theme'] = 'Tema';
 $lang['Thumbnails'] = 'Miniaturas';
@@ -283,6 +283,6 @@
 $lang['today'] = 'hoje';
 $lang['Update your rating'] = 'Actualizar a sua classificação';
-$lang['the username must be given'] = 'Deverá introduzir um nome de utilizador';
-$lang['useful when password forgotten'] = 'útil em caso de esquecer a palavra-passe';
+$lang['the username must be given'] = 'O nome de utilizador é obrigatório';
+$lang['useful when password forgotten'] = 'útil em caso de esquecer a senha';
 $lang['Quick search'] = 'Pesquisa Rápida';
 $lang['Connected user: %s'] = 'Utilizador ligado: %s';
@@ -296,12 +296,12 @@
 $lang['Admin: %s'] = 'Administração: %s';
 $lang['Registration of %s'] = 'Registo de %s';
-$lang['Album: %s'] = 'Álbum: %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'O utilizador "guest" tem um erro. Estado padrão será usado. Por favor, contacte o administrador do site.';
-$lang['this email address is already in use'] = 'um outro utilizador já utiliza este email';
-$lang['Album results for'] = 'Resultados de álbum para';
+$lang['Album: %s'] = 'Album: %s';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Status incorrecto para visitante, deverá ser usado o status por defeito. Por favor, contacte o administrador do site.';
+$lang['this email address is already in use'] = 'Este email já está em uso';
+$lang['Album results for'] = 'Resultados de album para';
 $lang['Tag results for'] = 'Resultados de etiqueta para';
 $lang['from %s to %s'] = 'de %s a %s';
 $lang['Play of slideshow'] = 'Iniciar o Slideshow';
-$lang['Pause of slideshow'] = 'Parar o Slideshow';
+$lang['Pause of slideshow'] = 'Pausar o Slideshow';
 $lang['Repeat the slideshow'] = 'Repetir o Slideshow';
 $lang['Not repeat the slideshow'] = 'Não repetir o Slideshow';
@@ -315,5 +315,5 @@
 $lang['%d photo is also linked to current tags'] = '%d foto está também ligada às etiquetas actuais';
 $lang['%d photos are also linked to current tags'] = '%d fotos estão também ligadas às etiquetas actuais';
-$lang['display photos linked to this tag'] = 'Ver as fotos ligadas apenas a esta etiqueta';
+$lang['display photos linked to this tag'] = 'Ver as fotos ligadas a esta etiqueta';
 $lang['photos posted during the last %d days'] = 'fotos publicadas durante os últimos %d dias';
 $lang['Piwigo Help'] = 'Ajuda Piwigo';
@@ -330,9 +330,9 @@
 $lang['Edit a comment'] = 'Editar um comentário';
 $lang['(!) This comment requires validation'] = '(!) Este cometário requer validação';
-$lang['Welcome'] = 'Bem-vindo';
-$lang['Welcome to your Piwigo photo gallery!'] = 'Bem-vindo à sua galeria de fotos Piwigo!';
+$lang['Welcome'] = 'Bem-vindo(a)';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Bem-vindo(a) à sua galeria Piwigo!';
 $lang['... or browse your empty gallery'] = '... ou navegue a sua galeria vazia';
-$lang['... or please deactivate this message, I will find my way by myself'] = '... ou, desactive esta mensagem por favor, eu encontro o meu caminho sozinho';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Olá %s, a sua galeria de fotos Piwigo está vazia!';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... ou, desactive esta mensagem por favor, encontrará o seu caminho por si.';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Olá %s, a sua galeria Piwigo está vazia!';
 $lang['I want to add photos'] = 'Eu quero adicionar fotos';
 $lang['Manage this user comment: %s'] = 'Gerir comentários deste utilizador: %s';
@@ -341,32 +341,32 @@
 $lang['html tags are not allowed in login'] = 'Etiquetas HTML n&atilde;o s&atilde;o permitidas no In&iacute;cio de Sess&atilde;o';
 $lang['%d rates'] = '%d votos';
-$lang['Rating score'] = 'Pontuação';
-$lang['Invalid username or email'] = 'nome de utilizador ou um email inválido';
-$lang['Password reset is not allowed for this user'] = 'A reinicialização da palavra-passe não é permitida para este utilizador';
+$lang['Rating score'] = 'Pontuação na avaliação';
+$lang['Invalid username or email'] = 'nome de utilizador ou email inválido(s)';
+$lang['Password reset is not allowed for this user'] = 'A reinicialização da senha não é permitida para este utilizador';
 $lang['User "%s" has no email address, password reset is not possible'] = 'Utilizador "%s" não tem email, a reinicialização da palavra-passe não é possível';
-$lang['Someone requested that the password be reset for the following user account:'] = 'Alguém pediu a reinicialização da palavra-passe para o utilizador seguinte :';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Alguém pediu a reinicialização da senha para a conta do utilizador seguinte :';
 $lang['Username "%s" on gallery %s'] = 'Nome de utilizador "%s" na galeria %s';
-$lang['To reset your password, visit the following address:'] = 'Para reinicializar a sua palavra-passe, siga o endereço seguinte :';
-$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Se for um erro, nao tome comta deste email e nada acontecerá.';
+$lang['To reset your password, visit the following address:'] = 'Para reinicializar a sua senha, siga o endereço seguinte :';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Se for um erro, apenas deverá ignorar este email e nada acontecerá.';
 $lang['Password Reset'] = 'Palavra-passe reinicializada';
-$lang['Check your email for the confirmation link'] = 'Verifique o seu email para o link de confirmação';
+$lang['Check your email for the confirmation link'] = 'Verifique o seu email para clicar no link de confirmação';
 $lang['Invalid key'] = 'Chave inválida';
 $lang['The passwords do not match'] = 'As palavras-passe não correspondem';
-$lang['Your password has been reset'] = 'A sua palavra-passe foi reinicializada';
+$lang['Your password has been reset'] = 'A sua senha foi reinicializada';
 $lang['Return to home page'] = 'Voltar ao inicio';
 $lang['Please enter your username or email address.'] = 'Por Favor escreva o seu nome de utilizador ou o seu email.';
-$lang['You will receive a link to create a new password via email.'] = 'Vai receber um link para crear uma nova palavra-passe por email.';
+$lang['You will receive a link to create a new password via email.'] = 'Vai receber um link para criar uma nova senha por email.';
 $lang['Username or email'] = 'nome de utilizador ou email';
-$lang['Change my password'] = 'alterar a minha palavra-passe';
-$lang['Enter your new password below.'] = 'Escreva a sua nova palavra-passe abaoixo.';
+$lang['Change my password'] = 'alterar a minha senha';
+$lang['Enter your new password below.'] = 'Escreva abaixo a sua nova senha.';
 $lang['Edit'] = 'Editar';
 $lang['EXIF Metadata'] = 'EXIF Metadata';
 $lang['IPTC Metadata'] = 'IPTC Metadata';
 $lang['Hello %s,'] = 'Olá %s,';
-$lang['Send my connection settings by email'] = 'Envie minhas configurações de conexão por e-mail';
-$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Registrado com sucesso! Você receberá, em breve, um e-mail com suas configurações de conexão. Bem-vindo!';
+$lang['Send my connection settings by email'] = 'Enviar minhas configurações de entrada por e-mail';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Registrado com sucesso! Você receberá, em breve, um e-mail com suas configurações de entrada. Bem-vindo(a)!';
 $lang['Username modification'] = 'Modificação de nome de usuário';
-$lang['Your username has been successfully changed to : %s'] = 'Seu nome de usuário foi alterado com sucesso para : %s';
-$lang['square'] = 'Quadro';
+$lang['Your username has been successfully changed to : %s'] = 'Seu nome de utilizador foi alterado com sucesso para : %s';
+$lang['square'] = 'Quadrado';
 $lang['thumb'] = 'Miniatura';
 $lang['small'] = 'Pequeno';
@@ -376,6 +376,6 @@
 $lang['xxlarge'] = 'Gigante';
 $lang['Original'] = 'Original';
-$lang['Thank you for registering at %s!'] = 'Obrigado por registrar-se em %s!';
-$lang['Here are your connection settings'] = 'Aqui estão suas configurações de conexão';
+$lang['Thank you for registering at %s!'] = 'Obrigado por se registrar no %s!';
+$lang['Here are your connection settings'] = 'Aqui estão as suas definições de entrada';
 $lang['Password: %s'] = 'Senha: %s';
 $lang['Username: %s'] = 'Nome de usuário: %s';
@@ -388,3 +388,20 @@
 $lang['Desktop'] = 'Área de Trabalho'; 
 
+$lang['2small'] = 'XXS - Pequenissimo';
+$lang['Date created, new &rarr; old'] = 'Data de criação, recente &rarr; antiga';
+$lang['Date created, old &rarr; new'] = 'Data de criação, antiga &rarr; nova';
+$lang['Date posted, new &rarr; old'] = 'Data de publicação, recente &rarr; antiga';
+$lang['Date posted, old &rarr; new'] = 'Data de publicação, antiga &rarr; recente';
+$lang['File name, A &rarr; Z'] = 'Nome do arquivo, A &rarr; Z';
+$lang['File name, Z &rarr; A'] = 'Nome do arquivo, Z &rarr; A';
+$lang['Manual sort order'] = 'Ordenar manualmente';
+$lang['Numeric identifier, 1 &rarr; 9'] = 'Identificador numérico, 1 &rarr; 9';
+$lang['Numeric identifier, 9 &rarr; 1'] = 'Identificador numérico, 9 &rarr; 1';
+$lang['Photo title, A &rarr; Z'] = 'Título da foto, A &rarr; Z';
+$lang['Photo title, Z &rarr; A'] = 'Título da foto,Z &rarr; A';
+$lang['Rating score, high &rarr; low'] = 'Nível de avaliação, elevado &rarr; baixo';
+$lang['Rating score, low &rarr; high'] = 'Nível de avaliação, baixo &rarr; elevado';
+$lang['Visits, high &rarr; low'] = 'Visitas, elevadas &rarr; parcas';
+$lang['Visits, low &rarr; high'] = 'Visitas, parcas &rarr; elevadas';
+$lang['xsmall'] = 'XS - extra pequeno';
 ?>