Index: /extensions/stripped_black_bloc/admin/admin.inc.php
===================================================================
--- /extensions/stripped_black_bloc/admin/admin.inc.php	(revision 13894)
+++ /extensions/stripped_black_bloc/admin/admin.inc.php	(revision 13895)
@@ -39,4 +39,8 @@
   load_conf_from_db();
 }
+if(!isset($conf['stripped']))
+{
+  array_push($page['errors'], l10n('The parent-theme Stripped need to be enabled in order to use its parameters'));
+}
 
 $template->set_filenames(array(
Index: /extensions/stripped_black_bloc/admin/maintain.inc.php
===================================================================
--- /extensions/stripped_black_bloc/admin/maintain.inc.php	(revision 13894)
+++ /extensions/stripped_black_bloc/admin/maintain.inc.php	(revision 13895)
@@ -13,10 +13,10 @@
  	'every_x'						=> 20,
 	'starting_to'						=> 1,
- 'thumbnail'         => 'piwigo' //generated - auto - piwigo
+  'catthumb'         => 'none' //none - same - all
       );
       
     $query = "
 INSERT INTO " . CONFIG_TABLE . " (param,value,comment)
-VALUES ('stripped_black_bloc' , '".pwg_db_real_escape_string(serialize($config))."' , 'color_main#column_width#thumbnail_width#thumbnail(generated - auto - piwigo)');";
+VALUES ('stripped_black_bloc' , '".pwg_db_real_escape_string(serialize($config))."' , 'color_main#column_width#thumbnail_width#catthumb(none - same - all)');";
     pwg_query($query);
   }
Index: /extensions/stripped_black_bloc/admin/upgrade.inc.php
===================================================================
--- /extensions/stripped_black_bloc/admin/upgrade.inc.php	(revision 13894)
+++ /extensions/stripped_black_bloc/admin/upgrade.inc.php	(revision 13895)
@@ -17,5 +17,5 @@
   $query = "
 INSERT INTO " . CONFIG_TABLE . " (param,value,comment)
-VALUES ('stripped_black_bloc' , '".pwg_db_real_escape_string(serialize($config))."' , 'color_main#column_width#thumbnail_width#thumbnail(generated - auto - piwigo)');";
+VALUES ('stripped_black_bloc' , '".pwg_db_real_escape_string(serialize($config))."' , 'color_main#column_width#thumbnail_width#catthumb(none - same - all)');";
   pwg_query($query);
   load_conf_from_db();
Index: /extensions/stripped_black_bloc/language/en_UK/theme.lang.php
===================================================================
--- /extensions/stripped_black_bloc/language/en_UK/theme.lang.php	(revision 13894)
+++ /extensions/stripped_black_bloc/language/en_UK/theme.lang.php	(revision 13895)
@@ -1,4 +1,4 @@
 <?php
-
+$lang['The parent-theme Stripped need to be enabled in order to use its parameters'] = 'The parent-theme Stripped need to be enabled in order to use its parameters';
 $lang['Stripped & Columns Theme Configuration'] = 'Stripped & Columns, Configuration Page';
 $lang['Page'] = 'Page';
Index: /extensions/stripped_black_bloc/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/stripped_black_bloc/language/fr_FR/theme.lang.php	(revision 13894)
+++ /extensions/stripped_black_bloc/language/fr_FR/theme.lang.php	(revision 13895)
@@ -1,4 +1,5 @@
 <?php
 
+$lang['The parent-theme Stripped need to be enabled in order to use its parameters'] = 'Le thème-parent Stripped doit être activé pour pouvoir utiliser ses paramètres';
 $lang['Stripped & Columns Theme Configuration'] = 'Stripped & Columns, Page de configuration';
 $lang['Page'] = 'Page';
Index: /extensions/stripped_black_bloc/language/uk_UA/theme.lang.php
===================================================================
--- /extensions/stripped_black_bloc/language/uk_UA/theme.lang.php	(revision 13894)
+++ /extensions/stripped_black_bloc/language/uk_UA/theme.lang.php	(revision 13895)
@@ -1,4 +1,4 @@
 <?php
-
+$lang['The parent-theme Stripped need to be enabled in order to use its parameters'] = 'The parent-theme Stripped need to be enabled in order to use its parameters';
 $lang['Stripped & Columns Theme Configuration'] = 'Stripped & Columns, Сторінка конфігурації';
 $lang['Page'] = 'Сторінка';